Definition of attribute get handlers

## Macros

#define | FLEXT_CALLGET_F(GFUN)
| Declare a get function for a float attribute.
#define | FLEXT_CALLGET_I(GFUN)
| Declare a get function for an integer attribute.
#define | FLEXT_CALLGET_B(GFUN)
| Declare a get function for a boolean attribute.
#define | FLEXT_CALLGET_E(GFUN, TP)
| Declare a get function for an enum attribute.
#define | FLEXT_CALLGET_S(FUN)
| Declare a get function for a symbol attribute.
#define | FLEXT_CALLGET_V(FUN)
| Declare a get function for a variable list attribute.

## Detailed Description

## Macro Definition Documentation

## FLEXT_CALLGET_B

#define FLEXT_CALLGET_B | ( |  | GFUN | ) |

Value:
\
FLEXT_CALLGET_(GFUN,bool)
FLEXT_CAST
#define FLEXT_CAST
Switch for compilation of derived virtual classes.
Definition fldefs.h:27

Declare a get function for a boolean attribute.

## FLEXT_CALLGET_E

#define FLEXT_CALLGET_E | ( |  | GFUN,
|  |  | TP
| ) |  |

Value:
\
FLEXT_CALLGET_(GFUN,TP)

Declare a get function for an enum attribute.

## FLEXT_CALLGET_F

#define FLEXT_CALLGET_F | ( |  | GFUN | ) |

Value:
\
FLEXT_CALLGET_(GFUN,float)

Declare a get function for a float attribute.

## FLEXT_CALLGET_I

#define FLEXT_CALLGET_I | ( |  | GFUN | ) |

Value:
\
FLEXT_CALLGET_(GFUN,int)

Declare a get function for an integer attribute.

## FLEXT_CALLGET_S

#define FLEXT_CALLGET_S | ( |  | FUN | ) |

Value:
static bool FLEXT_GET_PRE(FUN)(flext_base *c,const t_symbol *&arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(arg); return true; }
flext_base
Definition flclass.h:60
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition flbase.h:338

Declare a get function for a symbol attribute.

## FLEXT_CALLGET_V

#define FLEXT_CALLGET_V | ( |  | FUN | ) |

Value:
static bool FLEXT_GET_PRE(FUN)(flext_base *c,flext::AtomList *&arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(*arg); return true; }

Declare a get function for a variable list attribute.